Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFPatriarch

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFPatriarch

All Implemented Interfaces:
  HSSFShapeContainer, Drawing

    public final class HSSFPatriarch

extends java.lang.Object
implements HSSFShapeContainer, Drawing

The patriarch is the toplevel container for shapes in a sheet. It does little other than act as a container for other shapes and groups.

Author:
  Glen Stampoultzis (glens at apache.org)

Method Summary
`boolean` | `containsChart()` Does this HSSFPatriarch contain a chart? (Technically a reference to a chart, since they get stored in a different block of records) FIXME - detect chart in all cases (only seems to work on some charts so far)
`int` | `countOfAllChildren()` Total count of all children and their children's children.
`HSSFComment` | `createCellComment(ClientAnchor anchor)`
`HSSFComment` | `createComment(HSSFAnchor anchor)` Constructs a cell comment.
`HSSFShapeGroup` | `createGroup(HSSFClientAnchor anchor)` Creates a new group record stored under this patriarch.
`HSSFPicture` | `createPicture(ClientAnchor anchor, int pictureIndex)`
`HSSFPicture` | `createPicture(HSSFClientAnchor anchor, int pictureIndex)` Creates a picture.
`HSSFPolygon` | `createPolygon(HSSFClientAnchor anchor)` Creates a polygon
`HSSFSimpleShape` | `createSimpleShape(HSSFClientAnchor anchor)` Creates a simple shape.
`HSSFTextbox` | `createTextbox(HSSFClientAnchor anchor)` Constructs a textbox under the patriarch.
`java.util.List` | `getChildren()` Returns a list of all shapes contained by the patriarch.
`int` | `getX1()` The top left x coordinate of this group.
`int` | `getX2()` The bottom right x coordinate of this group.
`int` | `getY1()` The top left y coordinate of this group.
`int` | `getY2()` The bottom right y coordinate of this group.
`void` | `setCoordinates(int x1, int y1, int x2, int y2)` Sets the coordinate space of this group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createGroup

    public HSSFShapeGroup createGroup(HSSFClientAnchor anchor)

  Creates a new group record stored under this patriarch.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created group.

### createSimpleShape

    public HSSFSimpleShape createSimpleShape(HSSFClientAnchor anchor)

  Creates a simple shape. This includes such shapes as lines, rectangles, and ovals.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created shape.

### createPicture

    public HSSFPicture createPicture(HSSFClientAnchor anchor,
                                     int pictureIndex)

  Creates a picture.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created shape.

### createPicture

    public HSSFPicture createPicture(ClientAnchor anchor,
                                     int pictureIndex)

  Specified by:
    `createPicture` in interface `Drawing`

### createPolygon

    public HSSFPolygon createPolygon(HSSFClientAnchor anchor)

  Creates a polygon

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created shape.

### createTextbox

    public HSSFTextbox createTextbox(HSSFClientAnchor anchor)

  Constructs a textbox under the patriarch.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created textbox.

### createComment

    public HSSFComment createComment(HSSFAnchor anchor)

  Constructs a cell comment.

  Parameters:
    `anchor` - the client anchor describes how this comment is attached to the sheet.
  Returns:
    the newly created comment.

### createCellComment

    public HSSFComment createCellComment(ClientAnchor anchor)

  Specified by:
    `createCellComment` in interface `Drawing`

### getChildren

    public java.util.List getChildren()

  Returns a list of all shapes contained by the patriarch.

  Specified by:
    `getChildren` in interface `HSSFShapeContainer`
  Returns:
    Any children contained by this shape.

### countOfAllChildren

    public int countOfAllChildren()

  Total count of all children and their children's children.

### setCoordinates

    public void setCoordinates(int x1,
                               int y1,
                               int x2,
                               int y2)

  Sets the coordinate space of this group. All children are constrained to these coordinates.

### containsChart

    public boolean containsChart()

  Does this HSSFPatriarch contain a chart? (Technically a reference to a chart, since they get stored in a different block of records) FIXME - detect chart in all cases (only seems to work on some charts so far)

### getX1

    public int getX1()

  The top left x coordinate of this group.

### getY1

    public int getY1()

  The top left y coordinate of this group.

### getX2

    public int getX2()

  The bottom right x coordinate of this group.

### getY2

    public int getY2()

  The bottom right y coordinate of this group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD